/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: ShareObservationsActivity.java,v d808b6cb5d50 2010/07/10 21:19:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.observation;

import javax.annotation.Nonnull;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import org.openide.util.Lookup;
import it.tidalwave.bluebill.mobile.share.SharingPreferences;
import it.tidalwave.bluebill.mobile.android.R;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class ShareObservationsActivity extends Activity
  {
    protected final SharingPreferences preferences = Lookup.getDefault().lookup(SharingPreferences.class);

    private TextView tvRecipient;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Override
    protected void onCreate (final @Nonnull Bundle savedInstanceState)
      {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.share_observations_activity);
        tvRecipient = (TextView)findViewById(R.id.tvRecipient);
        tvRecipient.setText(getRecipients());

        final Button btOk = (Button)findViewById(R.id.btOk);

        btOk.setOnClickListener(new View.OnClickListener()
          {
            public void onClick (final @Nonnull View view)
              {
                finish();
              }
          });
      }

    private String getRecipients()
      {
        final StringBuilder buffer = new StringBuilder();
        String separator = "";

        for (final String recipient : preferences.getDefaultRecipients())
          {
            buffer.append(separator);
            buffer.append(recipient);
            separator = ", ";
          }

        return buffer.toString();
      }
  }
