/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: TaxonomyAdapter.java,v 3314be0b083a 2010/08/07 22:17:00 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy;

import it.tidalwave.bluebill.mobile.taxonomy.TaxonomyDescription;
import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import java.util.List;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import it.tidalwave.bluebill.mobile.android.R;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class TaxonomyAdapter extends ArrayAdapter<TaxonomyDescription>
  {
    @Nonnull
    private final Context context;

    @Nonnull
    private List<TaxonomyDescription> items;

    public TaxonomyAdapter (final @Nonnull Context context,
                            final int textViewResourceId,
                            final @Nonnull List<TaxonomyDescription> items)
      {
        super(context, textViewResourceId, items);
        this.context = context;
        this.items = items;
      }

    @Override
    public View getView (final @Nonnegative int position,
                         final @Nonnull View convertView,
                         final @Nonnull ViewGroup parent)
      {
        View view = convertView;

        if (view == null)
          {
            LayoutInflater vi = LayoutInflater.from(context);
            view = vi.inflate(R.layout.taxonomy_list_row, null);
          }

        final TaxonomyDescription taxonomy = items.get(position);
        final TextView tvName = (TextView)view.findViewById(R.id.tvName);
        final TextView tvDescription = (TextView)view.findViewById(R.id.tvDescription);

        tvName.setText(taxonomy.getName());
        tvDescription.setText(taxonomy.getDescription());

        return view;
      }
  }
