/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: NameViewHelper.java,v d808b6cb5d50 2010/07/10 21:19:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.name;

import android.text.Html;
import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.android.R;
import android.view.View;
import android.widget.TextView;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class NameViewHelper
  {
    @Nonnull
    private final TextView tvLanguage;

    @Nonnull
    private final TextView tvName;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public NameViewHelper (final @Nonnull View view)
      {
        tvLanguage = (TextView)view.findViewById(R.id.tvLanguage);
        tvName = (TextView)view.findViewById(R.id.tvName);
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void set (final @Nonnull LanguageAndName item)
      {
        tvLanguage.setText(Html.fromHtml(String.format("<b>%s</b>", item.language)));
        tvName.setText(item.name);
      }
  }
