/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: CommonOptionsMenuController.java,v d808b6cb5d50 2010/07/10 21:19:33 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.util;

import javax.annotation.Nonnull;
import android.app.Activity;
import android.content.Intent;
import android.view.MenuItem;
import it.tidalwave.bluebill.mobile.android.R;
import it.tidalwave.bluebill.mobile.android.about.AboutActivity;
import it.tidalwave.bluebill.mobile.android.news.NewsActivity;
import it.tidalwave.bluebill.mobile.android.preferences.BlueBillPreferenceActivity;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class CommonOptionsMenuController
  {
    @Nonnull

    private final Activity activity;

    public CommonOptionsMenuController (final @Nonnull Activity activity)
      {
        this.activity = activity;
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public boolean onOptionsItemSelected (final @Nonnull MenuItem item)
      {
        switch (item.getItemId())
          {
            case R.id.news:
                // FIXME: use ControlFlow
                activity.startActivity(new Intent(activity.getBaseContext(), NewsActivity.class));
                return true;

            case R.id.preferences:
                // FIXME: use ControlFlow
                activity.startActivity(new Intent(activity.getBaseContext(), BlueBillPreferenceActivity.class));
                return true;

            case R.id.about:
                // FIXME: use ControlFlow
                activity.startActivity(new Intent(activity.getBaseContext(), AboutActivity.class));
                return true;

            default:
                return false;
          }
      }
  }
